收藏
回答

提示找不到request-promise?

  1. 自己之前做过云函数的相关开发,之前是可以成功调用的,然后突然就不行了。

  2. 安装好了node.js和相关的sdk,并且在云函数文件夹下面安装了request和request-promise。显示成功安装

  3. 配置好各项工作并上传了,但是老是提示如下,


    index.js 文件配置如下:


    下面是调用失败的云函数日志:


    百度 了好久,相关的解决办法都试遍了,就是不行,还望大佬们帮忙看一下,看看是哪里出现问题了怎么解决我这个bug。万分感谢!

最后一次编辑于  2019-08-20
回答关注问题邀请回答
收藏

3 个回答

  • 秦城季
    秦城季
    2019-12-08

    package.json添加:

    "dependencies": {
       "wx-server-sdk": "latest",
       "request-promise": "^4.2.4"
     }


    2019-12-08
    赞同
    回复
  • 白
    2019-08-20

    问题解决方式:在package.js文件中,加入private:true就可以了。如下所示


    2019-08-20
    赞同
    回复 3
    • Empty
      Empty
      2019-09-09
      "dependencies": { "wx-server-sdk": "latest" }, "private":true }
      2019-09-09
      回复
    • Empty
      Empty
      2019-09-09
      在package.json中加入“private”:true,不行啊
      2019-09-09
      回复
    • 白
      2019-09-12回复Empty
      不好意思,我打错了,你放大图片去看看。
      2019-09-12
      1
      回复
  • 老张
    老张
    2019-08-20

    不是request - promise,是request-promise。低级错误。

    2019-08-20
    赞同
    回复 1
    • 白
      2019-08-20
      一样的,我之前改了编译之后还是如此,不是这个错误
      2019-08-20
      回复
登录 后发表内容
问题标签